GNU bug report logs - #55720
29.0.50; delete to trash, file already exists

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; dated Mon, 30 May 2022 08:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55720 <at> debbugs.gnu.org:


Received: (at 55720) by debbugs.gnu.org; 7 Jun 2022 09:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 05:19:40 2022
Received: from localhost ([127.0.0.1]:37644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyVNE-0005x5-Cv
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 05:19:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyVN8-0005wn-2C
 for 55720 <at> debbugs.gnu.org; Tue, 07 Jun 2022 05:19:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZnkpGKCjoJmQV4PiMR8GCM/TBRic0JpoVmZLbOPL55A=; b=ZYfWxk8YTCp/P+XfARTXMvEeIA
 AI/0wD2aHjDGwJIDoOSVldXhTMTDV7QwUyAZOQbIHb4lJ+F92CNyZW8ZllMeBY6a9DYaI+xgMYR57
 Boz1ytEGtmN+H8h/lkfS/KboSj98O52CiiMQUOxGKl/GyYfOj257nsK+h7zm34j1Pi+w=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyVMy-0000XB-Nm; Tue, 07 Jun 2022 11:19:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#55720: 29.0.50; delete to trash, file already exists
References: <86zgj0nc46.fsf@HIDDEN> <87h756ao5y.fsf@HIDDEN>
 <YpnbF1Jzdi1QSwUn@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGPC/xhBQAAAAJi
 S0dEAP+Hj8y/AAAACXBIWXMAAABkAAAAZAAPlsXdAAAAB3RJTUUH5gYHCQkk/E77MQAAAeZJREFU
 SMfNlT2OszAQhp9EuImUJg0+w8oSl8gFttg0HMBVTrMVV9gUe4Fs4xtEstJwAdN8DVIaN19BYMFg
 At26AHk87/x43hlvDONVND8LoADdO9uYwjoACTio8fjQgEAAHjhpTMqKlZrtGnWoimTO3NGCO9p2
 7yqg85DlqQgANYC0aiDsAEpfQg97i3IK7qVynbANSQCHKvRQU9sSj61/pWb3DDhLdwuyzrukq2qB
 OtiV19pL+s8A1GoPEWpk3P3kgU5CMgvxID1yndYXjAHvoIvvRzSkIhA80PDlY/ps7ZT0JOKAMMic
 M+ifbJpYgu2Q7bzxfYOCz/cYFfPQBOQ5iOmgUhPWwQf/lznAcx7F1lSlSxdVl5OAR7RqLGLrcJq8
 BqSXwyqAuBTVYoAATlx7EjcLyH5ycn0ejpO52arQaG4sBnxdjxqyEthLBfb2AuArgM/nrsC98kCm
 AQrrqPEtu0y8VzKTkZusLxqztXenJ32+AQGxksLH9Pmo4PmstEvGcxC2bDgYGEwA0ubNleCkQ949
 8GjvPwBsG0ftVyJnuq0DgKOUd+6UgBJzgITeRQgH1MMODQfdXB0AdsPj3MxWGhh1a8Ib7p8HEAeJ
 auIpvRcgnnQQiD2Shr4b00Wqx/abBAYH/wGn4ZBKGesgjQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 Mi0wNi0wN1QwOTowOTozNiswMDowMNQ2T+8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDYtMDdU
 MDk6MDk6MzYrMDA6MDCla/dTAAAAAElFTkSuQmCC
X-Now-Playing: Mary Halvorson's Code Girl's _Artlessly Falling_: "A Nearing"
Date: Tue, 07 Jun 2022 11:19:22 +0200
In-Reply-To: <YpnbF1Jzdi1QSwUn@HIDDEN> (Jean Louis's message of
 "Fri, 3 Jun 2022 12:57:43 +0300")
Message-ID: <87v8tcomp1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jean Louis <bugs@HIDDEN> writes: >> > 1. My Trash is:
 ~/tmp/Trash >> > 2. delete-by-moving-to-trash is true >> > 3. I have ~/newdvd
 >> > 4. In Trash I have: >> > lrwxrwxrwx 1 9 May 27 05:24 newdvd -> ../newdvd
 >> > 5. I cannot delete [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55720
Cc: 55720 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

>> > 1. My Trash is: ~/tmp/Trash
>> > 2. delete-by-moving-to-trash is true
>> > 3. I have ~/newdvd
>> > 4. In Trash I have:
>> >      lrwxrwxrwx 1    9 May 27 05:24 newdvd -> ../newdvd
>> > 5. I cannot delete ~/newdvd as I get error that file already exists
>> 
>> What is ~/newdvd in 3) -- a symlink, a file, or a directory?
>
> it is directory in ~/

I was unable to reproduce this with "emacs -Q": I created a symlink
called "newdvd", trashed it, created a directory called newdvd and
trashed it too, and Emacs worked as it should.

Do you have a complete recipe to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55720; Package emacs. Full text available.

Message received at 55720 <at> debbugs.gnu.org:


Received: (at 55720) by debbugs.gnu.org; 6 Jun 2022 14:39:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 10:39:25 2022
Received: from localhost ([127.0.0.1]:36445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyDt6-0000O8-OF
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:39:24 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:50661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1nyDt4-0000Np-AD
 for 55720 <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:39:22 -0400
Received: from localhost ([::ffff:154.226.216.204])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000087C60.00000000629E1198.00001F38; Mon, 06 Jun 2022 07:39:19 -0700
Date: Fri, 3 Jun 2022 12:57:43 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55720: 29.0.50; delete to trash, file already exists
Message-ID: <YpnbF1Jzdi1QSwUn@HIDDEN>
References: <86zgj0nc46.fsf@HIDDEN>
 <87h756ao5y.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87h756ao5y.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-05-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55720
Cc: 55720 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Lars Ingebrigtsen <larsi@HIDDEN> [2022-05-30 21:18]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > 1. My Trash is: ~/tmp/Trash
> > 2. delete-by-moving-to-trash is true
> > 3. I have ~/newdvd
> > 4. In Trash I have:
> >      lrwxrwxrwx 1    9 May 27 05:24 newdvd -> ../newdvd
> > 5. I cannot delete ~/newdvd as I get error that file already exists
> 
> What is ~/newdvd in 3) -- a symlink, a file, or a directory?

it is directory in ~/

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55720; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55720 <at> debbugs.gnu.org:


Received: (at 55720) by debbugs.gnu.org; 30 May 2022 18:08:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 30 14:08:53 2022
Received: from localhost ([127.0.0.1]:46035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvjoy-00040M-Tj
	for submit <at> debbugs.gnu.org; Mon, 30 May 2022 14:08:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nvjow-000400-KE
 for 55720 <at> debbugs.gnu.org; Mon, 30 May 2022 14:08:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jrGQNKZOw3KvngqMZSTEFb+hJ15gHQM3CHZc7ucq/vc=; b=bvysv5K5puAiOLSvlQHrvS24CV
 FCy9yaoA011+81V/VRSUmFGbnqAY11JzQH27f9whRI4ren8DBCxcA/2RItIT/3rh6RojxrouVbjYW
 Z8iZWdCYYcSUs88QA5UhpxtD/HRJjYqAThV64vsuSrjPkLOT19A9YbYKHZV83x4aXs8I=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nvjon-0008Nq-UF; Mon, 30 May 2022 20:08:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#55720: 29.0.50; delete to trash, file already exists
References: <86zgj0nc46.fsf@HIDDEN>
X-Now-Playing: Exec's _Advertise Here_: "(I'm After) Your Best Interest"
Date: Mon, 30 May 2022 20:08:41 +0200
In-Reply-To: <86zgj0nc46.fsf@HIDDEN> (Jean Louis's message of
 "Sun, 29 May 2022 08:26:01 +0300")
Message-ID: <87h756ao5y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > 1. My Trash is:
 ~/tmp/Trash
 > 2. delete-by-moving-to-trash is true > 3. I have ~/newdvd > 4. In Trash
 I have: > lrwxrwxrwx 1 9 May 27 05:24 newdvd -> ../newdvd > 5. I cannot delete
 ~/newdvd as I get [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55720
Cc: 55720 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> 1. My Trash is: ~/tmp/Trash
> 2. delete-by-moving-to-trash is true
> 3. I have ~/newdvd
> 4. In Trash I have:
>      lrwxrwxrwx 1    9 May 27 05:24 newdvd -> ../newdvd
> 5. I cannot delete ~/newdvd as I get error that file already exists

What is ~/newdvd in 3) -- a symlink, a file, or a directory?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55720; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 May 2022 08:27:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 30 04:27:24 2022
Received: from localhost ([127.0.0.1]:42684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvakG-0000Vl-BR
	for submit <at> debbugs.gnu.org; Mon, 30 May 2022 04:27:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:44610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1nvakC-0000Vb-HZ
 for submit <at> debbugs.gnu.org; Mon, 30 May 2022 04:27:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44786)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1nvakC-0003OM-AZ
 for bug-gnu-emacs@HIDDEN; Mon, 30 May 2022 04:27:20 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:41435)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1nvakA-0008MJ-0Q
 for bug-gnu-emacs@HIDDEN; Mon, 30 May 2022 04:27:19 -0400
Received: from localhost ([::ffff:197.239.5.63])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000087C4F.0000000062947FC2.00005528; Mon, 30 May 2022 01:26:42 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; delete to trash, file already exists
Date: Sun, 29 May 2022 08:26:01 +0300
Message-ID: <86zgj0nc46.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_24_48=1.34,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_SBL=0.141, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 1. My Trash is: ~/tmp/Trash 2. delete-by-moving-to-trash is
 true 3. I have ~/newdvd 4. In Trash I have: lrwxrwxrwx 1 9 May 27 05:24 newdvd
 -> ../newdvd 5. I cannot delete ~/newdvd as I get error that [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.5.63 listed in zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 DATE_IN_PAST_24_48     Date: is 24 to 48 hours before Received: date
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=admin%40protected.rcdrun.com; ip=209.51.188.17; r=debbugs.gnu.org]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)


1. My Trash is: ~/tmp/Trash
2. delete-by-moving-to-trash is true
3. I have ~/newdvd
4. In Trash I have:
     lrwxrwxrwx 1    9 May 27 05:24 newdvd -> ../newdvd
5. I cannot delete ~/newdvd as I get error that file already exists

IMHO deleting by moving to trash in Dired should work no matter what
else is located in Trash.


In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
 of 2022-05-10 built on protected.rcdrun.com
Repository revision: 57b69ff39c1ec7aa74f2a19bd4c4de9f67a7df84
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 47223 6772)
 (symbols 48 6252 3)
 (strings 32 17856 1643)
 (string-bytes 1 560240)
 (vectors 16 12351)
 (vector-slots 8 174872 11511)
 (floats 8 22 30)
 (intervals 56 247 0)
 (buffers 992 11))

-- 
Thanks,
Jean Louis

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns





Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55720; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 7 Jun 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.